package com.inkasso.factoring.financingmanagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.adapter.bean.BaseBean;

import java.math.BigDecimal;

/**
 * <p>
 * 融资申请-货物信息表
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */
@TableName("c_financing_his_goods_info")
public class CFinancingHisGoodsInfo extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**
     * 融资管理历史信息表ID
     */
    @TableField("c_financing_his_info_id")
    private Long financingHisInfoId;

    /**
     * 验收单基础信息表ID
     */
    @TableField("acceptance_basic_info_id")
    private Long acceptanceBasicInfoId;

    /**
     * 验收单货物信息表ID
     */
    @TableField("acceptance_goods_info_id")
    private Long acceptanceGoodsInfoId;

    /**
     * 验收单编号
     */
    @TableField("acceptance_goods_number")
    private String acceptanceGoodsNumber;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    private BigDecimal salesPrice;

    /**
     * 销售总价
     */
    @TableField("sales_total_price")
    private BigDecimal salesTotalPrice;

    /**
     * 销售质保金
     */
    @TableField("sales_guarantee_money")
    private BigDecimal salesGuaranteeMoney;

    /**
     * 采购单价
     */
    @TableField("purchase_price")
    private BigDecimal purchasePrice;

    /**
     * 采购总价
     */
    @TableField("purchase_total_price")
    private BigDecimal purchaseTotalPrice;

    /**
     * 采购质保金
     */
    @TableField("purchase_guarantee_money")
    private BigDecimal purchGuaranteeMoney;

    /**
     * 参考价格
     */
    @TableField("reference_price")
    private BigDecimal referencePrice;

    /**
     * 浮动单价
     */
    @TableField("floating_price")
    private BigDecimal floatingPrice;

    public Long getFinancingHisInfoId() {
        return financingHisInfoId;
    }

    public void setFinancingHisInfoId(Long financingHisInfoId) {
        this.financingHisInfoId = financingHisInfoId;
    }

    public Long getAcceptanceBasicInfoId() {
        return acceptanceBasicInfoId;
    }

    public void setAcceptanceBasicInfoId(Long acceptanceBasicInfoId) {
        this.acceptanceBasicInfoId = acceptanceBasicInfoId;
    }

    public Long getAcceptanceGoodsInfoId() {
        return acceptanceGoodsInfoId;
    }

    public void setAcceptanceGoodsInfoId(Long acceptanceGoodsInfoId) {
        this.acceptanceGoodsInfoId = acceptanceGoodsInfoId;
    }

    public String getAcceptanceGoodsNumber() {
        return acceptanceGoodsNumber;
    }

    public void setAcceptanceGoodsNumber(String acceptanceGoodsNumber) {
        this.acceptanceGoodsNumber = acceptanceGoodsNumber;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public BigDecimal getSalesTotalPrice() {
        return salesTotalPrice;
    }

    public void setSalesTotalPrice(BigDecimal salesTotalPrice) {
        this.salesTotalPrice = salesTotalPrice;
    }

    public BigDecimal getSalesGuaranteeMoney() {
        return salesGuaranteeMoney;
    }

    public void setSalesGuaranteeMoney(BigDecimal salesGuaranteeMoney) {
        this.salesGuaranteeMoney = salesGuaranteeMoney;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public BigDecimal getPurchaseTotalPrice() {
        return purchaseTotalPrice;
    }

    public void setPurchaseTotalPrice(BigDecimal purchaseTotalPrice) {
        this.purchaseTotalPrice = purchaseTotalPrice;
    }

    public BigDecimal getPurchGuaranteeMoney() {
        return purchGuaranteeMoney;
    }

    public void setPurchGuaranteeMoney(BigDecimal purchGuaranteeMoney) {
        this.purchGuaranteeMoney = purchGuaranteeMoney;
    }

    public BigDecimal getReferencePrice() {
        return referencePrice;
    }

    public void setReferencePrice(BigDecimal referencePrice) {
        this.referencePrice = referencePrice;
    }

    public BigDecimal getFloatingPrice() {
        return floatingPrice;
    }

    public void setFloatingPrice(BigDecimal floatingPrice) {
        this.floatingPrice = floatingPrice;
    }
}
